Bug 442233 - Review Request: oprofileui - user interface for analysing oprofile data
Review Request: oprofileui - user interface for analysing oprofile data
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Terje Røsten
Fedora Extras Quality Assurance
:
: 490835 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-12 23:25 EDT by Dave Jones
Modified: 2015-01-04 17:30 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-26 10:04:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
terjeros: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Dave Jones 2008-04-12 23:25:55 EDT
Spec URL: http://davej.fedorapeople.org/oprofileui.spec
SRPM URL: http://davej.fedorapeople.org/oprofileui-0.2.0-1.fc9.src.rpm
Description: alternative user interface to the default one provided by oprofile-gui with many additional features. See http://labs.o-hand.com/oprofileui/ for more info.
Comment 1 Terje Røsten 2008-05-12 05:14:41 EDT
Review in progress...
Comment 2 Terje Røsten 2008-05-12 05:17:57 EDT
Review Guidelines MUST items:
- [?] rpmlint output:
   oprofileui.x86_64: E: explicit-lib-dependency libglade2
   oprofileui.x86_64: E: explicit-lib-dependency libxml
 Can be ignored?

- [OK] package name
- [OK] %{name}.spec
- [OK] Packaging Guidelines
- [-] Licensing Guidelines
  Seems like GPLv2, not GPLv2+ to me.
  COPYING has 2+. however all files has GPLv2 only.

- [OK] License Field in spec
- [-] License text in %doc
  Ok, however not correct version.

- [OK] Spec file in en_US
- [OK] legible spec file
- [-] source matches upstream
 4ebd15796d44f2fd29ecd37c77021d41  oprofileui-0.2.0.tar.gz
 4ebd15796d44f2fd29ecd37c77021d41  oprofileui-0.2.0.tar.gz.1
  source is ok, however fix timestamp with e.g.
  wget -N http://labs.o-hand.com/sources/oprofileui/oprofileui-0.2.0.tar.gz

- [-] compiles successfully
- [-] BuildRequires
  Add desktop-file-utils to BuildRequires, now build stops with:
  /var/tmp/rpm-tmp.67346: line 32: desktop-file-install: command not found
  See: http://koji.fedoraproject.org/koji/taskinfo?taskID=604356

- N/A  %find_lang
- N/A  shared libs
- N/A  not relocatable
- [OK] directory ownership
- [OK] no duplicate files in %files
- [OK] proper permissions on files, %defattr present
- [OK] %clean section cleans %{buildroot}
- [-] consistently uses macros
  Change "$RPM_OPT_FLAGS" to %{optflags}

- [OK] package contains code
- N/A  large docs
- [OK] %doc files do not affect runtime behaviour
- N/A  header files in -devel
- N/A  static libs in -static
- N/A  foo.pc files
- N/A  libfoo.so.1.1
- N/A  no devel package
- N/A  no .la archives
- [OK]  desktop file
- [OK] Does not own files/dirs owned by other packages
- [OK] %install cleans out %{buildroot} first
- [OK] all filenames are valid ASCII and thus UTF-8
- [-] Scriptlets

  Add script to cache the shipped icons:
 
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets#head-7103f6c38d1b5735e8477bdd569ad73ea2c49bda

Review Guidelines SHOULD items:
- [-]  license text, not correct, ping upstream?
- N/A  no translated descriptions available
- [-]  don't build in mock: 
    http://koji.fedoraproject.org/koji/taskinfo?taskID=604356
- [-]  build on all arch
- [OK] appears to work
- N/A  no scriptlets (yet)
- N/A  no sub-packages
- N/A  no foo.pc
- N/A  no file dependencies

Comment 3 Terje Røsten 2008-05-12 05:39:41 EDT
Build is fine with desktop-file-utils added:

http://koji.fedoraproject.org/koji/taskinfo?taskID=604382

Some additional issues:

 o add INSTALL='%{__install} -p' to make install line to preserve timestamps
   on data files.

 o remove docdir from buildroot and add these files by a normal %doc line:
   %doc AUTHORS COPYING ChangeLog NEWS README
  (drop INSTALL, not needed of course :-)

Comment 4 Michal Nowak 2008-06-25 17:15:28 EDT
>   oprofileui.x86_64: E: explicit-lib-dependency libglade2
>   oprofileui.x86_64: E: explicit-lib-dependency libxml


* No. Can't be. This means that you can omit it from spec file ('Requires:')
because RPMbuild found them while creating package and thus added it to the RPM
automatically. 


- [OK] License Field in spec
- [-] License text in %doc
  Ok, however not correct version.

* Add it as SourceX and copy-in in installation process. 


Would be nice if original reporter could fix the issues, they are all EasyFix...
Comment 5 Terje Røsten 2008-06-30 15:03:01 EDT
> - [OK] License Field in spec
> - [-] License text in %doc
>   Ok, however not correct version.
> 
> * Add it as SourceX and copy-in in installation process. 

This is in fact ok already, my bad, sorry.
 
> 
> Would be nice if original reporter could fix the issues, they are all 
EasyFix...

To help the reporter I have created a updated package:

- add desktop-file-utils
- remove vendor in desktop-file-install
- remove libglade2 and libxml from reqs (picked up by rpm)
- fix macro usage
- fix timestamp on sources and installed files
- fix docs
- add %%post/%%postun scripts
- license is GPLv2

spec: http://terjeros.fedorapeople.org/oprofileui/oprofileui.spec
srpm: http://terjeros.fedorapeople.org/oprofileui/oprofileui-0.2.0-2.fc9.src.rpm
koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=687854


Could you please have a look Dave?

Comment 6 Michal Nowak 2008-07-02 07:15:39 EDT
(In reply to comment #5)
> - remove vendor in desktop-file-install


Why's that? In ./data/oprofile-viewer.desktop.in there's no vendor-related info
and according to
http://fedoraproject.org/wiki/Packaging/Guidelines#desktop-file-install_usage
there should be one. Am I missing something? 

> "BuildRequires: libxml-devel"

Shouldn't it be libxml2-devel?
Comment 7 Terje Røsten 2008-07-02 07:31:24 EDT
> Am I missing something? 

See #447766 comment #5, and  

http://fedoraproject.org/wiki/Packaging/Minutes20080603#t12:15
 
> Shouldn't it be libxml2-devel?

You are right. 
(Some other dep pulled in libxml2-devel, as seen from the koji logs).



Comment 8 Dave Jones 2008-07-02 10:45:47 EDT
apologies for my lack of updates on this, I've been busy with some other stuff.
 I hope to get back to this soon.
Comment 9 Michal Nowak 2008-07-22 07:45:38 EDT
ping davej

This pkg seems near to be finished, need your review of Terje's SRPM & spec.
Comment 10 Dave Jones 2008-10-08 15:42:18 EDT
looks great to me. Thanks Terje.
Comment 11 Terje Røsten 2008-10-20 14:04:22 EDT
I would prefer davej to post links to spec and srpm, however it's not strictly needed:

 APPROVED.
Comment 12 Terje Røsten 2008-12-27 08:12:22 EST
Please make a cvs request:

 https://fedoraproject.org/wiki/PackageMaintainers/CVSAdminProcedure
Comment 13 Kevin Fenzi 2009-01-28 19:25:05 EST
Please add a cvs template here so we know what branches you want, etc. 
Reset the fedora-cvs flag when thats ready.
Comment 14 Dave Jones 2009-01-30 11:56:10 EST
New Package CVS Request
=======================
Package Name: oprofileui
Short Description: GTK2 user interface for oprofile
Owners: davej@redhat.com
Branches: devek
InitialCC:
Comment 15 Kevin Fenzi 2009-02-01 13:43:49 EST
cvs done.
Comment 16 Parag AN(पराग) 2009-03-18 05:47:40 EDT
*** Bug 490835 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.